pygments (2.12.0+dfsg-2) unstable; urgency=medium

  * debian/control
    - remove debian/exp.. branch from Vcs fields
    - adjust pytest b-d versioned relationship
    - run wrap-and-sort -at

 -- Sandro Tosi <morph@debian.org>  Mon, 27 Jun 2022 21:34:45 -0400

pygments (2.12.0+dfsg-1) unstable; urgency=medium

  * upload to unstable

 -- Sandro Tosi <morph@debian.org>  Thu, 23 Jun 2022 22:52:47 -0400

pygments (2.12.0+dfsg-1~exp1) experimental; urgency=medium

  * Team upload
  * d/gbp.conf: Adjust to debian/experimental
  * New upstream version 2.12.0+dfsg
  * d/control: Increase required version on package pytest
  * d/control: Bump Standards-Version to 4.6.1
  * d/control: Adjust VCS linking to debian/experimental
  * d/control: Use https within upstream URI
  * d/control: Sort binary packages alphabetical
  * d/python3-pygments.dirs: Ensure bash-completion folder exits
  * d/rules: Ignore bash-completion within python-pygments-doc

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 11 Jun 2022 08:39:00 +0200

pygments (2.11.2+dfsg-2) unstable; urgency=medium

  * Team upload
  * autopkgtest: Adjust B-D for autopkgtest

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 15 Feb 2022 12:37:08 +0100

pygments (2.11.2+dfsg-1) unstable; urgency=medium

  * Team upload
  * d/gbp.conf: Add content to filter out
  * New upstream version 2.11.2+dfsg
  * d/control: Extend packages for Build-Depends
    - The new upstream version requires now python3-lxml and
      python3-wcag-contrast-ratio.
  * d/*control: Running wrap-and-sort -ast
    - No functional modifications.
  * Rebuild patch queue from patch-queue branch
    - Added patch:
      0002-pygments.bashcomp-Remove-hashbang-within-bash-comple.patch
  * d/copyright: Update copyright year
  * d/control: Remove obsolete Conflicts for python-pygments
  * d/python-pygments-doc.doc-base: Add new sequencer file

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 14 Feb 2022 18:50:39 +0100

pygments (2.10.0+dfsg-1) unstable; urgency=medium

  * New upstream release; Closes: #984625
  * debian/copyright
    - update upstream copyright notice
  * debian/patchees/
    - refresh patches, remove patches released upstream
  * debian/rules
    - exclude more tests that rely on example data that's removed
    - convert to dh sequence
  * debian/tests/python3-pygments
    - exclude more tests that rely on example data that's removed
  * debian/patches/0003-Update-change-docs-theme-patch.patch
    - drop patch, no longer needed
  * debian/control
    - bump Standards-Version to 4.6.0.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Fri, 10 Dec 2021 00:46:37 -0500

pygments (2.7.1+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix several exponential/cubic complexity regexes (CVE-2021-27291)
    (Closes: #985574)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 05 Jun 2021 11:00:18 +0200

pygments (2.7.1+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Emilio Pozuelo Monfort ]
  * CVE-2021-20270: infinite loop in the SML lexer (Closes: #984664).

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 12 Mar 2021 10:54:46 +0100

pygments (2.7.1+dfsg-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * New upstream version 2.6.1 (Closes: #962505)
  * wrap-and-sort.
  * d/salsa-ci.yml: enable salsa-ci.
  * d/gbp.conf: set debian/master as default branch.
  * d/patches: update change_docs_theme patch.
    - Remove not applied Adapt-conf.py-for-sphinx-2.0 patch.

  [ Christian Kastner ]
  * Convert d/copyright to Machine-Readable Copyright Format 1.0
  * Add Files-Excluded+Comment to d/copyright
  * Add repacksuffix=+dfsg to d/watch
  * Drop obsolete get-orig-source target (uscan removes files now)
  * Add python3-pytest to Build-Depends
  * Replace nose with pytest in autopkgtest
  * Enable running tests at build time
  * Update d/watch to version 4
  * Drop TODO from python-pygments-doc.docs
  * d/gbp.conf: Rename upstream -> upstream/latest
  * Add upstream metadata

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release; Closes: #962505
  * Skip test that's missing some example file (gh:issues/1567)
  * debian/rules
    - if you never run dh_install, .install files are not processed

 -- Sandro Tosi <morph@debian.org>  Thu, 08 Oct 2020 18:54:38 -0400

pygments (2.3.1+dfsg-4) unstable; urgency=medium

  * Drop python2 support + run wrap-and-sort; Closes: #937446

 -- Sandro Tosi <morph@debian.org>  Fri, 17 Jul 2020 15:18:56 -0400

pygments (2.3.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Drop Recommend: python-chardet to allow the drop of python-chardet from
    the archive.

 -- Pierre-Elliott Bécue <peb@debian.org>  Wed, 22 Apr 2020 16:32:33 +0200

pygments (2.3.1+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Set upstream metadata fields: Name.

  [ Mattia Rizzolo ]
  * Move pygmentize.1 manpage to the python3-pygmentize, together with the
    /usr/bin/pygmentize binary.  Closes: #919653
  * Hard dependency on python3-pkg-resources to be able to use /usr/bin/pygments
    Closes: #944908
  * Recommend the py3 package from the docs package, isntead of the py2 one.
  * Bump Standards-Version to 4.5.0:
    + Set Rules-Requires-Root:no.
  * autopkgtest: use py3versions -s instead of py3versions -i.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 05 Apr 2020 15:53:18 +0200

pygments (2.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - sphinx_1.7.patch and python_3.7.patch removed - fixed upstream
  * /usr/bin/pygmentize moved to python3-pygments binary package. Closes: 857273
  * Add patch to add -g parameter to pygmentize man page. Closes: 807495
    (thanks to Stéphane Blondon for the patch)
  * Add patch to update HTML documentation location in manpage. Closes: 801586
    (thanks to Stéphane Blondon for the patch)
  * Standards-Version bumped to 4.3.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 31 Dec 2018 12:10:22 +0100

pygments (2.2.0+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org.
  * d/control: Deprecating priority extra as per policy 4.0.1.
  * d/control: Remove XS-Testsuite field, not needed anymore.
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP.
  * d/control: Remove ancient X-Python-Version field.
  * Convert git repository from git-dpm to gbp layout.

  [ Helmut Grohne ]
  * Mark all packages Multi-Arch: foreign.  Closes: #892948

  [ Mattia Rizzolo ]
  * Suggests python-pygments-doc from the library packages.  Closes: #902690
  * Add patch from Dmitry Shachnev to fix FTBFS with Sphinx 1.7.  Closes: 896627
  * Add patch to fix compatibility with Python 3.7.  Closes: #904325

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 24 Sep 2018 13:17:46 +0200

pygments (2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 23 Jan 2017 23:25:26 +0100

pygments (2.1.3+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Dmitry Shachnev ]
  * New upstream bugfix release.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 02 May 2016 12:54:25 +0300

pygments (2.1+dfsg-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Drop CVE-2015-8557.patch, applied upstream.
  * Disable two tests that need example files, again.
  * Stop setting PYTHONWARNINGS=d when running the autopkgtests, that
    breaks the cmdline test which checks that process stderr is empty.

  [ Piotr Ożarowski ]
  * Remove /etc/bash_completion.d/pygmentize conffile in maintainer scripts
    (closes: #810661)

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 25 Jan 2016 18:04:14 +0300

pygments (2.0.1+dfsg-2) unstable; urgency=high

  [ Salvatore Bonaccorso ]
  * Add CVE-2015-8557.patch patch.
    CVE-2015-8557: Shell injection in FontManager._get_nix_font_path.
    (Closes: #802828)

  [ Piotr Ożarowski ]
  * debian/watch: use pypi.debian.net redirector
  * install pygmentize's bash completion to
    /usr/share/bash-completion/completions

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 10 Jan 2016 18:56:35 +0100

pygments (2.0.1+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/copyright: add the missing licenses of:
    - pygments/lexers/robotframework.py
    - tests/dtds/HTMLspec.ent
    - tests/dtds/HTMLlat1.ent
    - tests/dtds/HTMLsym.ent
    (Closes: #766042)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 22 Mar 2015 10:23:41 +0100

pygments (2.0.1+dfsg-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Drop disable_example_files_test.patch, no longer needed.
  * Enable verbose tests output.

  [ Piotr Ożarowski ]
  * New upstream release
    - pygmentize no longer fails when writing UTF-8 to output files
      (closes: 771724)
  * Drop doc/_build from the tarball (mostly due to missing JS sources; these
    files are regenerated anyway)
  * Remove .pyc files from upstream tarball
  * make_utf8_default patch removed, no longer needed

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 09 Nov 2014 23:03:38 +0100

pygments (2.0~rc1.a2bc2bd+dfsg-1) unstable; urgency=medium

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Dmitry Shachnev ]
  * Make autopkgtests depend on patch (to fix test failure on CI)
    and python[3]-all (to run tests for all supported Python versions).
    Closes: #740166.

  [ Piotr Ożarowski ]
  * New upstream release
    - Bump X-Python-Version to 2.6
  * Documentation moved to new binary package: python-pygments-doc
  * Add dh-python and python-sphinx to Build-Depends
  * Switch debhelper compat level to 9
  * Standards-Version bumped to 3.9.6 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 19 Oct 2014 23:00:26 +0200

pygments (1.6+dfsg-1) experimental; urgency=low

  * New upstream release
  * fix_makefile_re.patch removed, no longer needed
  * debian/watch file updated to handle rc versions correctly

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 03 Feb 2013 22:32:34 +0100

pygments (1.5+dfsg-2) unstable; urgency=low

  [ Dmitry Shachnev ]
  * Add DEP-8 tests (closes: #693028).
  * Remove unneeded build-dependency on quilt.
  * Bump Standards-Version to 3.9.4.
    + Add empty build-arch target to debian/rules.
  * Drop Breaks: {python:Breaks}, it is obsolete.
  * debian/patches/fix_makefile_re.patch: cherry-picked upstream commit
    that fixes Makefile highlighting.

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 06 Jan 2013 14:38:26 +0100

pygments (1.5+dfsg-1) unstable; urgency=low

  * New upstream release
  * make_utf8_default patch: do not change the encoding guessing part in
    pygments/lexer.py; updated to new upstream version
  * debian/pygmentize no longer needed, upstream now ships the script in the
    tarball (and it returns correct exit codes, closes: 628881)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 11 Mar 2012 18:22:42 +0100

pygments (1.4+dfsg-1) unstable; urgency=low

  * New upstream release
  * Provide python3-pygments binary package
  * Convert from python-support to dh_python2
  * Source package format changed to 3.0 (quilt)
  * Standards-Version bumped to 3.9.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 04 Jan 2011 20:13:50 +0100

pygments (1.3.1+dfsg-1) unstable; urgency=low

  * New upstream release
  * Add ttf-bitstream-vera package to Suggests ("img" formatter needs it)
  * Homepage field updated

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 20 Mar 2010 20:43:06 +0100

pygments (1.3+dfsg-1) unstable; urgency=low

  * New upstream release
    - install Bash completion script for pygmentize
  * Standards-Version bumped to 3.8.4 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 02 Mar 2010 20:06:16 +0100

pygments (1.2.2+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 03 Jan 2010 00:50:59 +0100

pygments (1.2.1+dfsg-1) unstable; urgency=low

  * New upstream release
    - minimum required Python version bumped to 2.4

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 02 Jan 2010 21:40:38 +0100

pygments (1.1.1+dfsg-2) unstable; urgency=low

  * Add --prefix=/usr (Python >= 2.6 needs it)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 13 Nov 2009 23:04:50 +0100

pygments (1.1.1+dfsg-1) unstable; urgency=low

  * New upstream release
    - upstream tarball repackaged: tests/examplefiles removed (at least one
      of example files is not DFSG-free and I'm too lazy to review the rest
      as most of them have different copyright holder and license),
      get-orig-source target added, debian/watch file updated
  * use_jinja2_to_generate_docs patch removed (incorporated upstream)
  * disable_ez_setup.patch no longer needed
  * make_utf8_default.patch updated
  * debian/copyright file updated
  * Standards-Version bumped to 3.8.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 13 Sep 2009 10:13:17 +0200

pygments (1.0-3) unstable; urgency=low

  * Add use_jinja2_to_generate_docs patch and replace python-jinja with
    python-jinja2 build dependency
  * Standards-Version bumped to 3.8.2 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 09 Jul 2009 22:30:15 +0200

pygments (1.0-2) unstable; urgency=low

  * Add description to the patches
  * Remove brainf*ck from long description (LP: #302898)
  * Upload to unstable

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 10 Feb 2009 19:14:36 +0100

pygments (1.0-1) experimental; urgency=low

  [ Sandro Tosi ]
  * Switch Vcs-Browser field to viewsvn

  [ Piotr Ożarowski ]
  * New upstream release (upload to experimental due to Lenny freeze, to ease
    testing rev. dependencies)
  * Install scripts from external directory as examples (closes: #497532)
  * debian/copyright: list of copyright holders updated

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 23 Nov 2008 20:14:31 +0100

pygments (0.11.1-1) experimental; urgency=low

  * New upstream release (upload to experimental due to Lenny freeze, to ease
    testing rev. dependencies)
  * Standards-Version bumped to 3.8.0:
    + debian/README.source file added

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 31 Aug 2008 16:48:09 +0200

pygments (0.10-1) unstable; urgency=low

  * New upstream release
  * Add make_utf8_default patch - useful while using pygmentize with pipes
    (use: pygmentize -P 'encoding=ascii' if you want old behaviour)
  * Install debian/pygmentize instead of script created by setuptools
  * Change Debian packaging licence to match upstream

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 07 May 2008 20:38:26 +0200

pygments (0.9-3) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field

  [ Piotr Ożarowski ]
  * Switch to python-support
  * Replace python-setuptools runtime dependency with new python-pkg-resources
    (closes: 468710)
  * Compress binary package with bzip2
  * Strip the "-1" from quilt's and setuptools' required build versions

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 01 Mar 2008 13:37:39 +0100

pygments (0.9-2) unstable; urgency=low

  * Install original pygmentize script (not touched by setuptools)
    (closes: 455222)
  * Bump Standards-Version to 3.7.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 10 Dec 2007 19:59:55 +0100

pygments (0.9-1) unstable; urgency=low

  * New upstream release
  * Add patch that disables ez_setup at build time
    - quilt added to Build-Depends
  * Homepage field added
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 15 Oct 2007 22:37:08 +0200

pygments (0.8.1-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 28 Jun 2007 15:08:22 +0200

pygments (0.8-1) unstable; urgency=low

  * New upstream release
  * Bump required Jinja version (build dependency)
  * Added python-setuptools to Recommends

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 30 May 2007 19:33:29 +0200

pygments (0.7.1-2) unstable; urgency=low

  * Upload to unstable
  * debian/copyright file updated
  * Changed my address to piotr@debian.org

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 09 Apr 2007 20:18:54 +0200

pygments (0.7.1-1) experimental; urgency=low

  * New upstream release (upload to experimental due to Etch freeze)

 -- Piotr Ozarowski <ozarow@gmail.com>  Thu, 15 Feb 2007 21:17:10 +0100

pygments (0.7-1) experimental; urgency=low

  * New upstream release (upload to experimental due to Etch freeze)
  * Some debian/rules cleanups

 -- Piotr Ozarowski <ozarow@gmail.com>  Wed, 14 Feb 2007 21:52:50 +0100

pygments (0.6-1) experimental; urgency=low

  * New upstream release (upload to experimental due to Etch freeze)
  * Added XS-Vcs-Svn and XS-Vcs-Browser fields to debian/control
  * Added python-chardet to Recommends: (guessing input encoding added)
  * debian/copyright updated (license change to BSD)
  * Removed debian/pygmentize.1 manpage (it's in upstream sources now)

 -- Piotr Ozarowski <ozarow@gmail.com>  Thu, 21 Dec 2006 16:20:10 +0100

pygments (0.5.1-1) unstable; urgency=low

  * Initial release (closes: #395064)

 -- Piotr Ozarowski <ozarow@gmail.com>  Mon, 30 Oct 2006 17:19:10 +0100
